#
# Conditional build:
%bcond_without	static_libs	# static library
%bcond_without	tests		# unit tests

Summary:	Pixel manipulation library
Summary(pl.UTF-8):	Biblioteka operacji na pikselach
Name:		pixman
# 0.42.x is stable, 0.43.x unstable
Version:	0.46.0
Release:	1
License:	MIT
Group:		Libraries
Source0:	https://www.cairographics.org/releases/%{name}-%{version}.tar.gz
# Source0-md5:	16fd88571a1cda22176bc82d653c6e85
URL:		http://pixman.org/
%{?with_tests:BuildRequires:	libpng-devel}
BuildRequires:	meson >= 1.3.0
BuildRequires:	ninja
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 2.042
BuildRequires:	sed >= 4.0
Obsoletes:	libic < 0.2
Obsoletes:	libpixman < 0.2
Obsoletes:	libpixregion < 0.2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
pixman is a pixel manipulation library.

%description -l pl.UTF-8
pixman to biblioteka do operacji na pikselach.

%package devel
Summary:	Development files for pixman
Summary(pl.UTF-8):	Pliki dla programistów do biblioteki pixman
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Obsoletes:	libic-devel < 0.2
Obsoletes:	libpixman-devel < 0.2
Obsoletes:	libpixregion-devel < 0.2

%description devel
This package contains development files for pixman library.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki dla programistów korzystających z biblioteki
pixman.

%package static
Summary:	Static pixman library
Summary(pl.UTF-8):	Statyczna biblioteka pixman
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Obsoletes:	libic-static < 0.2
Obsoletes:	libpixman-static < 0.2
Obsoletes:	libpixregion-static < 0.2

%description static
This package contains static pixman library.

%description static -l pl.UTF-8
Ten pakiet zawiera statyczną wersję biblioteki pixman.

%prep
%setup -q

%{__sed} -i -e 's#<pixman-version.h>#"pixman-version.h"#' pixman/pixman.h

%build
%meson \
	%{!?with_static_libs:--default-library=shared} \
	-Dgtk=disabled \
	-Dopenmp=disabled \
%ifarch %{x8664}
%if %{_ver_lt %{cc_version} 4.2}
	-Dsse2=disabled
%endif
%endif

%meson_build

%{?with_tests:%__meson test -C build --no-rebuild --print-errorlogs --timeout-multiplier 2}

%install
rm -rf $RPM_BUILD_ROOT

%meson_install

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYING README
%attr(755,root,root) %{_libdir}/libpixman-1.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libpixman-1.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libpixman-1.so
%{_includedir}/pixman-1
%{_pkgconfigdir}/pixman-1.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libpixman-1.a
%endif
%changelog
* Thu May 01 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/pixman.git;a=log;h=master

* Wed Apr 30 2025 Jan Palus <atler@pld-linux.org> 1124500
- up to 0.46.0

* Wed Apr 30 2025 Jan Palus <atler@pld-linux.org> 775c8e4
- use new meson macros

* Thu Dec 05 2024 Jan Palus <atler@pld-linux.org> f15eead
- increase timeout for tests; rel 2

* Tue Dec 03 2024 Jan Palus <atler@pld-linux.org> ab8bbbe
- up to 0.44.2

* Wed Nov 06 2024 Jan Palus <atler@pld-linux.org> f2f10fd
- up to 0.44.0

* Mon Jan 29 2024 Jan Palus <atler@pld-linux.org> ba1c558
- add static_libs bcond

* Mon Jan 29 2024 Jan Palus <atler@pld-linux.org> 6007b43
- up to 0.43.2

* Wed Nov 02 2022 Jan Palus <atler@pld-linux.org> 5e5845f
- fixes CVE-2022-44638

* Tue Oct 18 2022 Jakub Bogusz <qboosh@pld-linux.org> 20cb7d0
- versioned Obsoletes

* Tue Oct 18 2022 Jan Palus <atler@pld-linux.org> cd86d84
- up to 0.42.0

* Fri Apr 24 2020 Jan Palus <atler@pld-linux.org> 77397b0
- up to 0.40.0

* Fri Apr 12 2019 Jakub Bogusz <qboosh@pld-linux.org> af703d6
- updated to 0.38.4

* Mon Apr 08 2019 Jakub Bogusz <qboosh@pld-linux.org> f9810fd
- updated to 0.38.2

* Mon Feb 11 2019 Jan Palus <atler@pld-linux.org> 1a52721
- up to 0.38.0

* Sat Dec 01 2018 Jakub Bogusz <qboosh@pld-linux.org> 85df223
- non-parallel tests

* Fri Nov 30 2018 Jakub Bogusz <qboosh@pld-linux.org> 00c7229
- disable openmp (used only in tests), seems to increase failure ratio on th-i686; release 2

* Fri Nov 30 2018 Jakub Bogusz <qboosh@pld-linux.org> c8539a5
- updated to 0.36.0

* Sun Jan 31 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 3424b9b
- up to 0.34.0

* Tue Sep 22 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> ac7947b
- up to 0.32.8

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> 2f5de74
- x32 rebuild
- release 2 (by relup.sh)

